@charset "UTF-8";

//----------------------------------------------
@mixin button-variant-hover-bright($color, $background, $border) {
  color: $color;
  background-color: $background;
  border-color: $border;

  &:focus,
  &.focus {
    color: $color;
    background-color: lighten($background, 10%);
    border-color: lighten($border, 25%);
  }

  &:hover {
    color: $color;
    background-color: lighten($background, 10%);
    border-color: lighten($border, 12%);
  }

  &:active,
  &.active,
  .open > &.dropdown-toggle {
    color: $color;
    background-color: lighten($background, 10%);
    border-color: lighten($border, 12%);

    &:hover,
    &:focus,
    &.focus {
      color: $color;
      background-color: lighten($background, 17%);
      border-color: lighten($border, 25%);
    }
  }

  &:active,
  &.active {
    background-image: none;
  }

  .open > & {
    .dropdown-toggle {
      background-image: none;
    }
  }

  &.disabled,
  &[disabled],
  fieldset[disabled] & {
    &:hover,
    &:focus,
    &.focus {
      background-color: $background;
      border-color: $border;
    }
  }

  // .badge {
  //   color: $background;
  //   background-color: $color;
  // }
}

//----------------------------------------------
@mixin button-variant-hover-inverse($color, $background, $border) {
  color: $color;
  background-color: $background;
  border-color: $border;

  &:focus,
  &.focus {
    color: $background;
    background-color: $color;
    // border-color: darken($border, 25%);
  }

  &:hover {
    color: $background;
    background-color: $color;
    // border-color: darken($border, 12%);
  }

  &:active,
  &.active,
  .open > &.dropdown-toggle {
    color: $background;
    background-color: $color;
    // border-color: darken($border, 12%);

    &:hover,
    &:focus,
    &.focus {
      color: $background;
      background-color: $color;
      // border-color: darken($border, 25%);
    }
  }

  &:active,
  &.active {
    background-image: none;
  }

  .open > & {
    .dropdown-toggle {
      background-image: none;
    }
  }

  &.disabled,
  &[disabled],
  fieldset[disabled] & {
    &:hover,
    &:focus,
    &.focus {
      background-color: $background;
      // border-color: $border;
    }
  }

  // .badge {
  //   color: $background;
  //   background-color: $color;
  // }
}

// Button
//----------------------------------------------
// .btn-*** {
//   @include button-variant($btn-default-color, $btn-default-bg, $btn-default-border);
// }

//----------------------------------------------
.btn-multiline {
  white-space: normal;
}

//----------------------------------------------
.btn {
  @include transition(all $hover-transition-speed ease);

  &.arrow-blue-left {
    display: inline-block;
    padding-left: 30px;
    background-image: url("../img/arrow/arrow-blue-left.png");
    background-position: 5% 50%;
    background-repeat: no-repeat;
  }

  &.arrow-blue-right {
    display: inline-block;
    padding-right: 30px;
    background-image: url("../img/arrow/arrow-blue-right.png");
    background-position: 95% 50%;
    background-repeat: no-repeat;
  }

  &.arrow-circle-right {
    position: relative;
    display: inline-block;
    padding: 15px 90px 11px;

    @media (max-width: $screen-xs-max) {
      display: block;
    }

    &:before,
    &:after {
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      display: inline-block;
      margin-top: auto;
      margin-bottom: auto;
      content: "";
    }

    &:before {
      width: 20px;
      height: 20px;
      margin-right: 15px;
      border: 2px solid #fff;
      border-radius: 50%;
    }

    &:after {
      width: 6px;
      height: 6px;
      margin-right: 23px;
      border-top: 2px solid #fff;
      border-right: 2px solid #fff;
      transform: rotate(45deg);
    }
  }
}

//----------------------------------------------
.btn-gradient-red {
  @include button-variant(#fff, #c50018, #c50018);

  padding: 17px 10px 18px;
  font-size: 18px;
  border: 0;
  font-weight: bold;
  border-radius: 8px;
  background: linear-gradient(rgb(197,0,24), rgb(141,0,17));

  &:hover {
    background: linear-gradient(to top, rgb(197,0,24), rgb(141,0,17));
  }

  &.arrow-right {
    position: relative;

    &:after {
      position: absolute;
      top: 50%;
      right: 15px;
      transform: translateY(-51%);
      width: 24px;
      height: 36px;
      opacity: 0.7;
      background: url("../img/icon/icon-arrow-white.png") 50% no-repeat;
      content: "";

      @media (max-width: $screen-xs-max) {
        right: 15%;
      }
    }

    &:hover {
      &:after {
        opacity: 1;
        background: url("../img/icon/icon-arrow-white-mo.png") 50% no-repeat;
      }
    }
  }
}

//----------------------------------------------
.btn-gradient-red-lg {
  @include button-variant(#fff, #c50018, #c50018);

  padding: 33px 130px 33px 62px;
  font-size: 24px;
  border: 0;
  font-weight: bold;
  border-radius: 10px;
  background: linear-gradient(rgb(197,0,24), rgb(141,0,17)); 

  @media (max-width: $screen-xs-max) {
    padding: 16px 36px;
    font-size: 16px;
  }

  &:hover {
    background: linear-gradient(to top, rgb(197,0,24), rgb(141,0,17));
  }

  &.arrow-right {
    position: relative;

    &:after {
      position: absolute;
      top: 50%;
      right: 39px;
      transform: translateY(-51%);
      width: 25px;
      height: 36px;
      opacity: 0.7;
      background: url("../img/icon/icon-arrow-white.png") 50% no-repeat;
      content: "";

      @media (max-width: $screen-xs-max) {
        right: 10px;
        width: 22px;
        height: 24px;
      }
    }

    &:hover {
      &:after {
        opacity: 1;
        background: url("../img/icon/icon-arrow-white-mo.png") 50% no-repeat;
      }
    }
  }
}

//----------------------------------------------
.btn-gradient-blue {
  @include button-variant(#fff, #5e94c0, #5e94c0);

  padding: 26px 70px 26px 48px;
  font-size: 24px;
  font-weight: bold;
  line-height: 2;
  border-radius: 10px;
  background: linear-gradient(#5e94c0, #4f708b);

    @media (max-width: $screen-xs-max) {
      padding: 13px 17px 13px 5px;
      font-size: 16px;
    }

  &:hover {
    background: linear-gradient(to top, #5e94c0, #4f708b);
  }
  
  &.arrow-right {
    position: relative;

    &:after {
      position: absolute;
      top: 50%;
      right: 19px;
      transform: translateY(-51%);
      width: 25px;
      height: 36px;
      opacity: 0.7;
      background: url("../img/icon/icon-arrow-white.png") 50% no-repeat;
      content: "";

      @media (max-width: $screen-xs-max) {
        right: 3px;
        width: 22px;
        height: 24px;
      }
    }

    &:hover {
      &:after {
        opacity: 1;
        background: url("../img/icon/icon-arrow-white-mo.png") 50% no-repeat;
      }
    }
  }
}
